Bug 804590 - Moving a file to wastebasket hangs for NFS mounted home directory
Moving a file to wastebasket hangs for NFS mounted home directory
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Steve Dickson
Filesystem QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 06:55 EDT by Jonathan Underwood
Modified: 2015-11-02 05:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-02 05:18:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2012-03-19 06:55:45 EDT
Description of problem:
I have a system where home directories are automounted on logon from a Kerberized NFSv4 server. This all functions fine.

However, in Nautilus, if I right click on a file and select "Move to Wastebasket", the "File operations" box pops up, but the move never completes - the status bar remains unfilled. Nautilus hangs, and the system becomes unresponsive until I kill the Nautilus instance.

Version-Release number of selected component (if applicable):
$ rpm -qa | grep nautilus
totem-nautilus-2.28.6-2.el6.x86_64
nautilus-open-terminal-0.17-4.el6.x86_64
brasero-nautilus-2.28.3-6.el6.x86_64
nautilus-extensions-2.28.4-18.el6.x86_64
nautilus-2.28.4-18.el6.x86_64
nautilus-sendto-2.28.2-3.el6.x86_64


How reproducible:
Everytime

Steps to Reproduce:
1. Mount home directory from a (Kerberized) NFS4 server
2. Attempt to move a file to the wastebasket
3.
  
Actual results:
Nautilus hangs, file not moved.

Expected results:
File moved to wastebasket.

Additional info:
Mount info:

f.q.d.n:/users/jgu on /home/jgu type nfs (rw,rsize=8192,wsize=8192,intr,sec=krb5,sloppy,vers=4,addr=128.xx.xx.xx,clientaddr=128.xx.xx.xx)
Comment 2 Jonathan Underwood 2012-03-19 09:43:08 EDT
Details of the corresponding export on the NFS server:

/export/users 	128.x.x.0/24(rw,async,wdelay,nohide,insecure,root_squash,no_subtree_check,sec=krb5,rw,root_squash,no_all_squash)
Comment 3 Jonathan Underwood 2012-03-19 10:09:44 EDT
This actually seems like a bug in gvfs:

[jgu@mia ~]$ touch junkfile
[jgu@mia ~]$ strace gvfs-trash junkfile
execve("/usr/bin/gvfs-trash", ["gvfs-trash", "junkfile"], [/* 67 vars */]) = 0
brk(0)                                  = 0x163e000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac3b3000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib64/openmpi/lib/tls/x86_64/libgthread-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/openmpi/lib/tls/x86_64", 0x7fffc26cffb0) = -1 ENOENT (No such file or directory)
open("/usr/lib64/openmpi/lib/tls/libgthread-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/openmpi/lib/tls", 0x7fffc26cffb0) = -1 ENOENT (No such file or directory)
open("/usr/lib64/openmpi/lib/x86_64/libgthread-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/openmpi/lib/x86_64", 0x7fffc26cffb0) = -1 ENOENT (No such file or directory)
open("/usr/lib64/openmpi/lib/libgthread-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/openmpi/lib", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=120777, ...}) = 0
mmap(NULL, 120777, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f22ac395000
close(3)                                = 0
open("/lib64/libgthread-2.0.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220\25\240\3236\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=19920, ...}) = 0
mmap(0x36d3a00000, 2112664, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x36d3a00000
mprotect(0x36d3a04000, 2093056, PROT_NONE) = 0
mmap(0x36d3c03000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3000) = 0x36d3c03000
close(3)                                = 0
open("/usr/lib64/openmpi/lib/librt.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/librt.so.1", O_RDONLY)     = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@!`\3216\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=47064, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac394000
mmap(0x36d1600000, 2128816, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x36d1600000
mprotect(0x36d1607000, 2093056, PROT_NONE) = 0
mmap(0x36d1806000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6000) = 0x36d1806000
close(3)                                = 0
open("/usr/lib64/openmpi/lib/libgio-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/libgio-2.0.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240\211!\3266\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=699440, ...}) = 0
mmap(0x36d6200000, 2796112, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x36d6200000
mprotect(0x36d62a8000, 2093056, PROT_NONE) = 0
mmap(0x36d64a7000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xa7000) = 0x36d64a7000
mmap(0x36d64aa000, 2640, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x36d64aa000
close(3)                                = 0
open("/usr/lib64/openmpi/lib/libgobject-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/libgobject-2.0.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\211`\3226\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=283584, ...}) = 0
mmap(0x36d2600000, 2379304, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x36d2600000
mprotect(0x36d2643000, 2097152, PROT_NONE) = 0
mmap(0x36d2843000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x43000) = 0x36d2843000
close(3)                                = 0
open("/usr/lib64/openmpi/lib/libgmodule-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/libgmodule-2.0.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\20`\3236\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=14392, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac393000
mmap(0x36d3600000, 2107384, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x36d3600000
mprotect(0x36d3603000, 2093056, PROT_NONE) = 0
mmap(0x36d3802000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x36d3802000
close(3)                                = 0
open("/usr/lib64/openmpi/lib/libglib-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/libglib-2.0.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p4\241\3216\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=941440, ...}) = 0
mmap(0x36d1a00000, 3036208, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x36d1a00000
mprotect(0x36d1ae4000, 2097152, PROT_NONE) = 0
mmap(0x36d1ce4000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xe4000) = 0x36d1ce4000
mmap(0x36d1ce5000, 1072, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x36d1ce5000
close(3)                                = 0
open("/usr/lib64/openmpi/lib/libutil.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/libutil.so.1", O_RDONLY)   = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20\16`\3346\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=17520, ...}) = 0
mmap(0x36dc600000, 2105600, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x36dc600000
mprotect(0x36dc602000, 2093056, PROT_NONE) = 0
mmap(0x36dc801000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1000) = 0x36dc801000
close(3)                                = 0
open("/usr/lib64/openmpi/lib/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/libpthread.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \\\240\3206\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=141576, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac392000
mmap(0x36d0a00000, 2208672, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x36d0a00000
mprotect(0x36d0a17000, 2093056, PROT_NONE) = 0
mmap(0x36d0c16000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x16000) = 0x36d0c16000
mmap(0x36d0c18000, 13216, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x36d0c18000
close(3)                                = 0
open("/usr/lib64/openmpi/lib/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/libc.so.6", O_RDONLY)      = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360\355a\3206\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1979000, ...}) = 0
mmap(0x36d0600000, 3803304, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x36d0600000
mprotect(0x36d0797000, 2097152, PROT_NONE) = 0
mmap(0x36d0997000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x197000) = 0x36d0997000
mmap(0x36d099c000, 18600, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x36d099c000
close(3)                                = 0
open("/usr/lib64/openmpi/lib/libdl.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/libdl.so.2", O_RDONLY)     = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\r\340\3206\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=22536, ...}) = 0
mmap(0x36d0e00000, 2109696, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x36d0e00000
mprotect(0x36d0e02000, 2097152, PROT_NONE) = 0
mmap(0x36d1002000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x36d1002000
close(3)                                = 0
open("/usr/lib64/openmpi/lib/libresolv.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/libresolv.so.2", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\00009 \3226\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=113952, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac391000
mmap(0x36d2200000, 2202248, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x36d2200000
mprotect(0x36d2216000, 2097152, PROT_NONE) = 0
mmap(0x36d2416000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x16000) = 0x36d2416000
mmap(0x36d2418000, 6792, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x36d2418000
close(3)                                = 0
open("/usr/lib64/openmpi/lib/libselinux.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/libselinux.so.1", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0PX\340\3216\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=124624, ...}) = 0
mmap(0x36d1e00000, 2221912, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x36d1e00000
mprotect(0x36d1e1d000, 2093056, PROT_NONE) = 0
mmap(0x36d201c000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1c000) = 0x36d201c000
mmap(0x36d201e000, 1880, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x36d201e000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac390000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac38e000
arch_prctl(ARCH_SET_FS, 0x7f22ac38e7a0) = 0
mprotect(0x36d1806000, 4096, PROT_READ) = 0
mprotect(0x36dc801000, 4096, PROT_READ) = 0
mprotect(0x36d0c16000, 4096, PROT_READ) = 0
mprotect(0x36d0997000, 16384, PROT_READ) = 0
mprotect(0x36d001f000, 4096, PROT_READ) = 0
mprotect(0x36d1002000, 4096, PROT_READ) = 0
mprotect(0x36d2416000, 4096, PROT_READ) = 0
mprotect(0x36d201c000, 4096, PROT_READ) = 0
munmap(0x7f22ac395000, 120777)          = 0
set_tid_address(0x7f22ac38ea70)         = 17981
set_robust_list(0x7f22ac38ea80, 0x18)   = 0
futex(0x7fffc26d08bc, FUTEX_WAKE_PRIVATE, 1) = 0
futex(0x7fffc26d08bc, FUTEX_WAIT_BITSET_PRIVATE|FUTEX_CLOCK_REALTIME, 1, NULL, 7f22ac38e7a0) = -1 EAGAIN (Resource temporarily unavailable)
rt_sigaction(SIGRTMIN, {0x36d0a05aa0, [], SA_RESTORER|SA_SIGINFO, 0x36d0a0f4a0}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0x36d0a05b30, [], SA_RESTORER|SA_RESTART|SA_SIGINFO, 0x36d0a0f4a0}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=10240*1024, rlim_max=RLIM_INFINITY}) = 0
statfs("/selinux", {f_type=0xf97cff8c, f_bsize=4096, f_blocks=0, f_bfree=0, f_bavail=0, f_files=0, f_ffree=0, f_fsid={0, 0}, f_namelen=255, f_frsize=4096}) = 0
brk(0)                                  = 0x163e000
brk(0x165f000)                          = 0x165f000
open("/usr/lib/locale/locale-archive", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=99158704, ...}) = 0
mmap(NULL, 99158704, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f22a64fd000
close(3)                                = 0
open("/usr/share/locale/locale.alias", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=2512, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac3b2000
read(3, "# Locale name alias data base.\n#"..., 4096) = 2512
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x7f22ac3b2000, 4096)            = 0
open("/usr/share/locale/en_GB.utf8/LC_MESSAGES/messages.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_GB/LC_MESSAGES/messages.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/messages.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/messages.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
getcwd("/home/jgu", 4096)               = 10
open("/usr/lib64/gio/modules", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 3
fcntl(3, F_GETFD)                       = 0x1 (flags FD_CLOEXEC)
getdents(3, /* 6 entries */, 32768)     = 216
stat("/usr/lib64/gio/modules/libgvfsdbus.so", {st_mode=S_IFREG|0755, st_size=171448, ...}) = 0
futex(0x36d10030ec, FUTEX_WAKE_PRIVATE, 2147483647) = 0
open("/usr/lib64/gio/modules/libgvfsdbus.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@\211\0\0\0\0\0\0"..., 832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=171448, ...}) = 0
mmap(NULL, 2267648, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x7f22a62d3000
mprotect(0x7f22a62fc000, 2093056, PROT_NONE) = 0
mmap(0x7f22a64fb000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x28000) = 0x7f22a64fb000
close(4)                                = 0
open("/usr/lib64/openmpi/lib/libgvfscommon.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=120777, ...}) = 0
mmap(NULL, 120777, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7f22ac395000
close(4)                                = 0
open("/usr/lib64/libgvfscommon.so.0", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000\216\340\3226\0\0\0"..., 832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=98688, ...}) = 0
mmap(0x36d2e00000, 2191288, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x36d2e00000
mprotect(0x36d2e16000, 2097152, PROT_NONE) = 0
mmap(0x36d3016000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x16000) = 0x36d3016000
close(4)                                = 0
open("/usr/lib64/openmpi/lib/libdbus-1.so.3", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/libdbus-1.so.3", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220p\240\3266\0\0\0"..., 832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=268200, ...}) = 0
mmap(0x36d6a00000, 2361640, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x36d6a00000
mprotect(0x36d6a3f000, 2097152, PROT_NONE) = 0
mmap(0x36d6c3f000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3f000) = 0x36d6c3f000
close(4)                                = 0
open("/usr/lib64/openmpi/lib/libudev.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib64/libudev.so.0", O_RDONLY)   = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300(\240\3326\0\0\0"..., 832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=61504, ...}) = 0
mmap(0x36daa00000, 2156608, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x36daa00000
mprotect(0x36daa0e000, 2093056, PROT_NONE) = 0
mmap(0x36dac0d000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xd000) = 0x36dac0d000
mmap(0x36dac0e000, 2112, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x36dac0e000
close(4)                                = 0
mprotect(0x36dac0d000, 4096, PROT_READ) = 0
mprotect(0x36d6c3f000, 4096, PROT_READ) = 0
munmap(0x7f22ac395000, 120777)          = 0
open("/usr/share/locale/en_GB.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_GB/LC_MESSAGES/libc.mo", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=1474, ...}) = 0
mmap(NULL, 1474, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7f22ac3b2000
close(4)                                = 0
open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
stat("/usr/lib64/gio/modules/libgiofam.so", {st_mode=S_IFREG|0755, st_size=12512, ...}) = 0
open("/usr/lib64/gio/modules/libgiofam.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\17\0\0\0\0\0\0"..., 832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=12512, ...}) = 0
mmap(NULL, 2107872, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x7f22a60d0000
mprotect(0x7f22a60d3000, 2093056, PROT_NONE) = 0
mmap(0x7f22a62d2000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2000) = 0x7f22a62d2000
close(4)                                = 0
open("/usr/lib64/openmpi/lib/libfam.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=120777, ...}) = 0
mmap(NULL, 120777, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7f22a60b2000
close(4)                                = 0
open("/usr/lib64/libfam.so.0", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\27\240\3336\0\0\0"..., 832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=32472, ...}) = 0
mmap(0x36dba00000, 2125568, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x36dba00000
mprotect(0x36dba07000, 2093056, PROT_NONE) = 0
mmap(0x36dbc06000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x6000) = 0x36dbc06000
close(4)                                = 0
munmap(0x7f22a60b2000, 120777)          = 0
stat("/usr/lib64/gio/modules/libgiogconf.so", {st_mode=S_IFREG|0755, st_size=7632, ...}) = 0
open("/usr/lib64/gio/modules/libgiogconf.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\v\0\0\0\0\0\0"..., 832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=7632, ...}) = 0
mmap(NULL, 2102888, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x7f22a5ece000
mprotect(0x7f22a5ed0000, 2093056, PROT_NONE) = 0
mmap(0x7f22a60cf000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1000) = 0x7f22a60cf000
close(4)                                = 0
open("/usr/lib64/openmpi/lib/libgconf-2.so.4", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=120777, ...}) = 0
mmap(NULL, 120777, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7f22a5eb0000
close(4)                                = 0
open("/usr/lib64/libgconf-2.so.4", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000\33!\3366\0\0\0"..., 832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=261680, ...}) = 0
mmap(0x36de200000, 2354512, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x36de200000
mprotect(0x36de23b000, 2093056, PROT_NONE) = 0
mmap(0x36de43a000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3a000) = 0x36de43a000
close(4)                                = 0
open("/usr/lib64/openmpi/lib/libORBit-2.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib64/libORBit-2.so.0", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20y\242\3356\0\0\0"..., 832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=460648, ...}) = 0
mmap(0x36dda00000, 2555112, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x36dda00000
mprotect(0x36dda5e000, 2093056, PROT_NONE) = 0
mmap(0x36ddc5d000, 77824, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x5d000) = 0x36ddc5d000
close(4)                                = 0
munmap(0x7f22a5eb0000, 120777)          = 0
stat("/usr/lib64/gio/modules/libgioremote-volume-monitor.so", {st_mode=S_IFREG|0755, st_size=81896, ...}) = 0
open("/usr/lib64/gio/modules/libgioremote-volume-monitor.so", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p;\0\0\0\0\0\0"..., 832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=81896, ...}) = 0
mmap(NULL, 2177752, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x7f22a5cba000
mprotect(0x7f22a5ccd000, 2097152, PROT_NONE) = 0
mmap(0x7f22a5ecd000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x13000) = 0x7f22a5ecd000
close(4)                                = 0
open("/usr/share/gvfs/remote-volume-monitors", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 4
brk(0x1681000)                          = 0x1681000
getdents(4, /* 5 entries */, 32768)     = 152
open("/usr/share/locale/locale.alias", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=2512, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac3b1000
read(5, "# Locale name alias data base.\n#"..., 4096) = 2512
read(5, "", 4096)                       = 0
close(5)                                = 0
munmap(0x7f22ac3b1000, 4096)            = 0
open("/usr/share/gvfs/remote-volume-monitors/gphoto2.monitor", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=115, ...}) = 0
read(5, "[RemoteVolumeMonitor]\nName=GProx"..., 4096) = 115
read(5, "", 4096)                       = 0
close(5)                                = 0
open("/usr/share/gvfs/remote-volume-monitors/gdu.monitor", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=123, ...}) = 0
read(5, "[RemoteVolumeMonitor]\nName=GProx"..., 4096) = 123
read(5, "", 4096)                       = 0
close(5)                                = 0
open("/usr/share/gvfs/remote-volume-monitors/afc.monitor", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=108, ...}) = 0
read(5, "[RemoteVolumeMonitor]\nName=GProx"..., 4096) = 108
read(5, "", 4096)                       = 0
close(5)                                = 0
getdents(4, /* 0 entries */, 32768)     = 0
close(4)                                = 0
getdents(3, /* 0 entries */, 32768)     = 0
close(3)                                = 0
munmap(0x7f22a5ece000, 2102888)         = 0
munmap(0x36de200000, 2354512)           = 0
munmap(0x36dda00000, 2555112)           = 0
munmap(0x7f22a60d0000, 2107872)         = 0
munmap(0x36dba00000, 2125568)           = 0
socket(PF_FILE, SOCK_STREAM, 0)         = 3
connect(3, {sa_family=AF_FILE, path=@"/tmp/dbus-E6prcKW4BT"}, 23) = 0
fcntl(3, F_GETFL)                       = 0x2 (flags O_RDWR)
fcntl(3, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
fcntl(3, F_GETFD)                       = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
geteuid()                               = 10000
rt_sigaction(SIGPIPE, {SIG_IGN, [PIPE], SA_RESTORER|SA_RESTART, 0x36d0632900}, {SIG_DFL, [], 0}, 8) = 0
poll([{fd=3, events=POLLOUT}], 1, 0)    = 1 ([{fd=3, revents=POLLOUT}])
write(3, "\0", 1)                       = 1
write(3, "AUTH EXTERNAL 3130303030\r\n", 26) = 26
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}])
read(3, "OK 139db93cdc9aae52215e7d3400123"..., 2048) = 37
poll([{fd=3, events=POLLOUT}], 1, -1)   = 1 ([{fd=3, revents=POLLOUT}])
write(3, "BEGIN\r\n", 7)                = 7
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"l\1\0\1\0\0\0\0\1\0\0\0n\0\0\0\1\1o\0\25\0\0\0/org/fre"..., 128}, {"", 0}], 2) = 128
poll([{fd=3, events=POLLIN}], 1, 25000) = 1 ([{fd=3, revents=POLLIN}])
read(3, "l\2\1\1\v\0\0\0\1\0\0\0=\0\0\0\6\1s\0\6\0\0\0:1.243\0\0"..., 2048) = 262
read(3, 0x1648e90, 2048)                = -1 EAGAIN (Resource temporarily unavailable)
rt_sigaction(SIGPIPE, {SIG_IGN, [PIPE], SA_RESTORER|SA_RESTART, 0x36d0632900}, {SIG_IGN, [PIPE], SA_RESTORER|SA_RESTART, 0x36d0632900}, 8) = 0
writev(3, [{"l\1\0\1\0\0\0\0\2\0\0\0\212\0\0\0\1\1o\0\31\0\0\0/org/gtk"..., 160}, {"", 0}], 2) = 160
poll([{fd=3, events=POLLIN}], 1, 60000) = 1 ([{fd=3, revents=POLLIN}])
read(3, "l\2\1\1L\3\0\0\242\0\0\0005\0\0\0\6\1s\0\6\0\0\0:1.243\0\0"..., 2048) = 916
read(3, 0x1648e90, 2048)                = -1 EAGAIN (Resource temporarily unavailable)
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 4
connect(4, {sa_family=AF_FILE, path="/var/run/nscd/socket"}, 110) = -1 ENOENT (No such file or directory)
close(4)                                = 0
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 4
connect(4, {sa_family=AF_FILE, path="/var/run/nscd/socket"}, 110) = -1 ENOENT (No such file or directory)
close(4)                                = 0
open("/etc/nsswitch.conf", O_RDONLY)    = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=1731, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac3b1000
read(4, "#\n# /etc/nsswitch.conf\n#\n# An ex"..., 4096) = 1731
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x7f22ac3b1000, 4096)            = 0
open("/usr/lib64/openmpi/lib/libnss_files.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=120777, ...}) = 0
mmap(NULL, 120777, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7f22a62b5000
close(4)                                = 0
open("/lib64/libnss_files.so.2", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360!\0\0\0\0\0\0"..., 832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=65928, ...}) = 0
mmap(NULL, 2151824, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x7f22a60a7000
mprotect(0x7f22a60b3000, 2097152, PROT_NONE) = 0
mmap(0x7f22a62b3000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xc000) = 0x7f22a62b3000
close(4)                                = 0
mprotect(0x7f22a62b3000, 4096, PROT_READ) = 0
munmap(0x7f22a62b5000, 120777)          = 0
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 4
fcntl(4, F_GETFD)                       = 0x1 (flags FD_CLOEXEC)
fstat(4, {st_mode=S_IFREG|0644, st_size=2309, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac3b1000
read(4, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 2309
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x7f22ac3b1000, 4096)            = 0
open("/usr/lib64/openmpi/lib/libnss_sss.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=120777, ...}) = 0
mmap(NULL, 120777, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7f22a62b5000
close(4)                                = 0
open("/lib64/libnss_sss.so.2", O_RDONLY) = 4
read(4, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\20\0\0\0\0\0\0"..., 832) = 832
fstat(4, {st_mode=S_IFREG|0755, st_size=19264, ...}) = 0
mmap(NULL, 2114736, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x7f22a5ab5000
mprotect(0x7f22a5ab9000, 2097152, PROT_NONE) = 0
mmap(0x7f22a5cb9000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x4000) = 0x7f22a5cb9000
close(4)                                = 0
munmap(0x7f22a62b5000, 120777)          = 0
fstat(-1, 0x7fffc26cfed0)               = -1 EBADF (Bad file descriptor)
socket(PF_FILE, SOCK_STREAM, 0)         = 4
fcntl(4, F_GETFL)                       = 0x2 (flags O_RDWR)
fcntl(4, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
fcntl(4, F_GETFD)                       = 0
fcntl(4, F_SETFD, FD_CLOEXEC)           = 0
connect(4, {sa_family=AF_FILE, path="/var/lib/sss/pipes/nss"}, 110) = 0
fstat(4, {st_mode=S_IFSOCK|0777, st_size=0, ...}) = 0
poll([{fd=4, events=POLLOUT}], 1, 300000) = 1 ([{fd=4, revents=POLLOUT}])
write(4, "\24\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0", 16) = 16
poll([{fd=4, events=POLLOUT}], 1, 300000) = 1 ([{fd=4, revents=POLLOUT}])
write(4, "\1\0\0\0", 4)                 = 4
poll([{fd=4, events=POLLIN}], 1, 300000) = 1 ([{fd=4, revents=POLLIN}])
read(4, "\24\0\0\0\1\0\0\0\0\0\0\0\0\0\0\0", 16) = 16
poll([{fd=4, events=POLLIN}], 1, 300000) = 1 ([{fd=4, revents=POLLIN}])
read(4, "\1\0\0\0", 4)                  = 4
poll([{fd=4, events=POLLOUT}], 1, 300000) = 1 ([{fd=4, revents=POLLOUT}])
write(4, "\24\0\0\0\21\0\0\0\0\0\0\0\0\0\0\0", 16) = 16
poll([{fd=4, events=POLLOUT}], 1, 300000) = 1 ([{fd=4, revents=POLLOUT}])
write(4, "jgu\0", 4)                    = 4
poll([{fd=4, events=POLLIN}], 1, 300000) = 1 ([{fd=4, revents=POLLIN}])
read(4, "M\0\0\0\21\0\0\0\0\0\0\0\0\0\0\0", 16) = 16
poll([{fd=4, events=POLLIN}], 1, 300000) = 1 ([{fd=4, revents=POLLIN}])
read(4, "\1\0\0\0\0\0\0\0\20'\0\0\20'\0\0jgu\0*\0Jonathan U"..., 61) = 61
getuid()                                = 10000
uname({sys="Linux", node="mia.theory.phys.ucl.ac.uk", ...}) = 0
open("/usr/lib64/gvfs/modules", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/usr/lib64/charset.alias", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_GB.utf8/LC_MESSAGES/glib20.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_GB/LC_MESSAGES/glib20.mo", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=40307, ...}) = 0
mmap(NULL, 40307, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f22ac3a8000
close(5)                                = 0
open("/usr/lib64/gconv/gconv-modules.cache", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=26050, ...}) = 0
mmap(NULL, 26050, PROT_READ, MAP_SHARED, 5, 0) = 0x7f22ac3a1000
close(5)                                = 0
futex(0x36d099bf60, FUTEX_WAKE_PRIVATE, 2147483647) = 0
lstat("/home/jgu/junkfile", {st_mode=S_IFREG|0664, st_size=0, ...}) = 0
stat("/home/jgu", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
access("/home", F_OK)                   = 0
stat("/home", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
access("/home/jgu", F_OK)               = 0
stat("/home/jgu", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
access("/home/jgu/.local", F_OK)        = 0
stat("/home/jgu/.local", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
access("/home/jgu/.local/share", F_OK)  = 0
stat("/home/jgu/.local/share", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
access("/home/jgu/.local/share/Trash", F_OK) = 0
stat("/home/jgu/.local/share/Trash", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
mkdir("/home/jgu/.local/share/Trash/info", 0700) = -1 EEXIST (File exists)
mkdir("/home/jgu/.local/share/Trash/files", 0700) = -1 EEXIST (File exists)
open("/home/jgu/.local/share/Trash/info/junkfile.trashinfo", O_RDONLY|O_CREAT|O_EXCL, 0666


At this point, the process is hung and doesn't proceed further for quite a long time, a few minutes. Then eventually it completes:

open("/home/jgu/.local/share/Trash/info/junkfile.trashinfo", O_RDONLY|O_CREAT|O_EXCL, 0666) = 5
close(5)                                = 0
rename("/home/jgu/junkfile", "/home/jgu/.local/share/Trash/files/junkfile") = 0
stat("/home/jgu", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
lstat("/home/jgu", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
lstat("/home", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
lstat("/", {st_mode=S_IFDIR|0555, st_size=4096, ...}) = 0
lstat("/home/jgu", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
lstat("/home", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
lstat("/", {st_mode=S_IFDIR|0555, st_size=4096, ...}) = 0
statfs("/home/jgu/.local/share/gvfs-metadata", {f_type="NFS_SUPER_MAGIC", f_bsize=8192, f_blocks=1682036052, f_bfree=1042830742, f_bavail=957388195, f_files=854425600, f_ffree=850860880, f_fsid={0, 0}, f_namelen=255, f_frsize=8192}) = 0
link("/home/jgu/.local/share/gvfs-metadata/home", "/home/jgu/.local/share/gvfs-metadata/.open022NBW") = 0
open("/home/jgu/.local/share/gvfs-metadata/.open022NBW", O_RDONLY) = 5
unlink("/home/jgu/.local/share/gvfs-metadata/.open022NBW") = 0
fstat(5, {st_mode=S_IFREG|0600, st_size=7780, ...}) = 0
mmap(NULL, 7780, PROT_READ, MAP_SHARED, 5, 0) = 0x7f22ac39f000
link("/home/jgu/.local/share/gvfs-metadata/home-990dcc20.log", "/home/jgu/.local/share/gvfs-metadata/.openLJMOBW") = 0
open("/home/jgu/.local/share/gvfs-metadata/.openLJMOBW", O_RDONLY) = 6
unlink("/home/jgu/.local/share/gvfs-metadata/.openLJMOBW") = 0
fstat(6, {st_mode=S_IFREG|0644, st_size=32768, ...}) = 0
mmap(NULL, 32768, PROT_READ, MAP_SHARED, 6, 0) = 0x7f22ac397000
lstat("/home/jgu/.local/share/Trash/files", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
lstat("/home/jgu/.local/share/Trash", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
lstat("/home/jgu/.local/share", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/home/jgu/.local", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/home/jgu", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
lstat("/home", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
lstat("/", {st_mode=S_IFDIR|0555, st_size=4096, ...}) = 0
socket(PF_FILE, SOCK_STREAM, 0)         = 7
connect(7, {sa_family=AF_FILE, path=@"/tmp/dbus-E6prcKW4BT"}, 23) = 0
fcntl(7, F_GETFL)                       = 0x2 (flags O_RDWR)
fcntl(7, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
fcntl(7, F_GETFD)                       = 0
fcntl(7, F_SETFD, FD_CLOEXEC)           = 0
geteuid()                               = 10000
rt_sigaction(SIGPIPE, {SIG_IGN, [PIPE], SA_RESTORER|SA_RESTART, 0x36d0632900}, {SIG_IGN, [PIPE], SA_RESTORER|SA_RESTART, 0x36d0632900}, 8) = 0
poll([{fd=7, events=POLLOUT}], 1, 0)    = 1 ([{fd=7, revents=POLLOUT}])
write(7, "\0", 1)                       = 1
write(7, "AUTH EXTERNAL 3130303030\r\n", 26) = 26
poll([{fd=7, events=POLLIN}], 1, -1)    = 1 ([{fd=7, revents=POLLIN}])
read(7, "OK 139db93cdc9aae52215e7d3400123"..., 2048) = 37
poll([{fd=7, events=POLLOUT}], 1, -1)   = 1 ([{fd=7, revents=POLLOUT}])
write(7, "BEGIN\r\n", 7)                = 7
poll([{fd=7, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=7, revents=POLLOUT}])
writev(7, [{"l\1\0\1\0\0\0\0\1\0\0\0n\0\0\0\1\1o\0\25\0\0\0/org/fre"..., 128}, {"", 0}], 2) = 128
poll([{fd=7, events=POLLIN}], 1, 25000) = 1 ([{fd=7, revents=POLLIN}])
read(7, "l\2\1\1\v\0\0\0\1\0\0\0=\0\0\0\6\1s\0\6\0\0\0:1.244\0\0"..., 2048) = 262
read(7, 0x164f990, 2048)                = -1 EAGAIN (Resource temporarily unavailable)
writev(7, [{"l\1\0\1f\0\0\0\2\0\0\0|\0\0\0\1\1o\0\25\0\0\0/org/gtk"..., 144}, {")\0\0\0/home/jgu/.local/share/gvfs-"..., 102}], 2) = 246
open("/etc/localtime", O_RDONLY)        = 8
fstat(8, {st_mode=S_IFREG|0644, st_size=3661, ...}) = 0
fstat(8, {st_mode=S_IFREG|0644, st_size=3661, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac396000
read(8, "TZif2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\7\0\0\0\7\0\0\0\0"..., 4096) = 3661
lseek(8, -2338, SEEK_CUR)               = 1323
read(8, "TZif2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\10\0\0\0\10\0\0\0\0"..., 4096) = 2338
close(8)                                = 0
munmap(0x7f22ac396000, 4096)            = 0
open("/home/jgu/.local/share/Trash/info/junkfile.trashinfo.RIDOBW", O_RDWR|O_CREAT|O_EXCL, 0666) = 8
fcntl(8, F_GETFL)                       = 0x8002 (flags O_RDWR|O_LARGEFILE)
fstat(8, {st_mode=S_IFREG|0664, st_size=0, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f22ac395000
lseek(8, 0, SEEK_CUR)                   = 0
write(8, "[Trash Info]\nPath=/home/jgu/junk"..., 70) = 70
lstat("/home/jgu/.local/share/Trash/info/junkfile.trashinfo", {st_mode=S_IFREG|0664, st_size=0, ...}) = 0
close(8)                                = 0
munmap(0x7f22ac395000, 8192)            = 0
rename("/home/jgu/.local/share/Trash/info/junkfile.trashinfo.RIDOBW", "/home/jgu/.local/share/Trash/info/junkfile.trashinfo") = 0
close(4)                                = 0
exit_group(0)                           = ?
Comment 4 Jonathan Underwood 2012-03-24 13:28:30 EDT
Any hint as to how I can further debug this issue - it's proing a major pain for a number of users, as when nautilus hangs the desktop becomes unresponsive.
Comment 5 RHEL Product and Program Management 2012-05-03 01:14:19 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 6 Jonathan Underwood 2012-05-25 08:52:02 EDT
Reassigning to gvfs rather than nautilus, as the problem exists there.
Comment 7 Jonathan Underwood 2012-05-26 14:05:57 EDT
Any chance of some input on how I can further debug this? This is a pretty serious problem for us on a lot of machines.
Comment 8 Ondrej Holy 2015-10-28 04:54:56 EDT
It seems the bug might be still valid after some googling...

gvfs-trash in this case just using g_local_file_trash fro gio/glib. So it isn't gvfs bug, but it might be in glib. There is a line where the hang appears:
https://git.gnome.org/browse/glib/tree/gio/glocalfile.c?h=2.28.8#n1972

However the bug is probably in nfs, because gio/glib doesn't do anything special there. See debian downstream bug report with more info:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=714736

It might be duplicate of Bug 1204702, or Bug 726452...
Comment 9 Steve Dickson 2015-10-28 07:57:50 EDT
(In reply to Ondrej Holy from comment #8)
> 
> However the bug is probably in nfs, because gio/glib doesn't do anything
> special there. See debian downstream bug report with more info:
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=714736
> 
> It might be duplicate of Bug 1204702, or Bug 726452...

Is rpc.gssd running? Are there any error messages in /var/log/messages?

Also would it be possible to get a network trace of the hang?
Comment 10 Jonathan Underwood 2015-10-28 15:08:20 EDT
I'm sorry, but I no longer have access to any machines running RHEL, as my role at work has changed a lot since 2012. I am certain that rpc.gssd and rpc.svcgssd was running on client and server machines.
Comment 11 Steve Dickson 2015-11-02 05:18:46 EST
(In reply to Jonathan Underwood from comment #10)
> I'm sorry, but I no longer have access to any machines running RHEL, as my
> role at work has changed a lot since 2012. I am certain that rpc.gssd and
> rpc.svcgssd was running on client and server machines.

Ok... fair enough... Going to close the bz

Note You need to log in before you can comment on or make changes to this bug.